Subject: Re: [PATCH] l10n: de.po: translate 45 new messages

From: Thomas Rast <[email-masked]>
Date: Fri, 25 Apr 2014 23:19:40 +0200

Ralf Thielow <[email-masked]> writes:

> Translate 45 new messages came from git.pot update in 5e078fc
> (l10n: git.pot: v2.0.0 round 1 (45 new, 28 removed)).

Thanks for sending this with extra context, it really helps reviewing!

With the small changes below,

Acked-by: Thomas Rast <[email-masked]>

>  #: diffcore-rename.c:517
>  msgid "Performing inexact rename detection"
> -msgstr ""
> +msgstr "Führe Erkennung für ungenaue Umbenennung aus"

I don't have a better idea, but I wish we had a less unwieldy term for
"inexact rename detection".

>  #: wt-status.c:266
> -#, fuzzy, c-format
> +#, c-format
>  msgid "bug: unhandled unmerged status %x"
> -msgstr "Fehler: unbehandelter Differenz-Status %c"
> +msgstr "Fehler: unbehandelter Unmerged-Status %x"

s/Fehler/Bug/?

I interpret "Fehler" in such a message as a user-caused problem, whereas
this message means the program doesn't handle a case that it really
should.

>  #: builtin/commit.c:1131
> -#, fuzzy
>  msgid "Explicit paths specified without -i or -o; assuming --only paths..."
>  msgstr ""
>  "Explizite Pfade ohne -i oder -o angegeben; unter der Annahme von --only "
>  "Pfaden..."

Not new, but "[I am] assuming --only paths" should really be translated
as such, e.g.

  nehme --only an

(Leaving off the "paths"; I think it reads better without it even in
English.)

>  #: builtin/gc.c:318
> -#, fuzzy, c-format
> +#, c-format
>  msgid "Auto packing the repository in background for optimum performance.\n"
>  msgstr ""
> -"Die Datenbank des Projektarchivs wird für eine optimale Performance "
> -"komprimiert.\n"
> +"Die Datenbank des Repositories wird für eine optimale Performance automatisch\n"
> +"im Hintergrund komprimiert.\n"
>  
>  #: builtin/gc.c:320
>  #, c-format
>  msgid "Auto packing the repository for optimum performance.\n"
>  msgstr ""
>  "Die Datenbank des Projektarchivs wird für eine optimale Performance "
>  "komprimiert.\n"

Nit: you added "automatisch" in the first one, but the second one
doesn't have it even though the difference between them is only "in
background".

>  #: builtin/gc.c:321
>  #, c-format
>  msgid "See \"git help gc\" for manual housekeeping.\n"
> -msgstr ""
> +msgstr "Siehe \"git help gc\" für manuelle Einstellungen.\n"

für manuelles Aufräumen?

>  #: builtin/notes.c:276
> -#, fuzzy, c-format
> +#, c-format
>  msgid "Cannot read note data from non-blob object '%s'."
> -msgstr "Kann existierendes Objekt %s nicht lesen."
> +msgstr "Kann Notiz-Daten von Nicht-Blob Objekt '%s' nicht lesen."

This would read better as

  Kann Notiz-Daten nicht von Nicht-Blob Objekt '%s' lesen.

since the key point is that we refuse any non-blob object, not that we
can't read it.

-- 
Thomas Rast
[email-masked]